org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class DropTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DropTest

- Direct Known Subclasses:
    DropTest.Traversals

      public abstract class DropTest
      extends AbstractGremlinTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DropTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_drop()`
    `void` | `g_V_outE_drop()`
    `void` | `g_V_properties_drop()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_drop()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_outE_drop()`
    `abstract Traversal<Vertex,VertexProperty>` | `get_g_V_properties_drop()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DropTest

          public DropTest()

  - ### Method Detail

    - #### get_g_V_drop

          public abstract Traversal<Vertex,Vertex> get_g_V_drop()

    - #### get_g_V_outE_drop

          public abstract Traversal<Vertex,Edge> get_g_V_outE_drop()

    - #### get_g_V_properties_drop

          public abstract Traversal<Vertex,VertexProperty> get_g_V_properties_drop()

    - #### g_V_drop

          public void g_V_drop()

    - #### g_V_outE_drop

          public void g_V_outE_drop()

    - #### g_V_properties_drop

          public void g_V_properties_drop()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.